# frozen_string_literal: true

# --------------------------------------------- #
# Author: [Patrick W. <"Sickday@pm.me">] ------ #
# InitDate: [3/5/20] ------------------------- #
# --------------------------------------------- #

module Strum::Internal::Events
  class InterceptorEvent < Event
    ##
    # Creates a new InterceptorEvent
    def initialize(params = {}, block)
      self[:Interceptor] = params[:interceptor].nil? ? Strum::Server::Interceptor.instance : params[:interceptor]
      super(params, block)
    end
  end
  ##
  # Called when a Session is intercepted.
  class InterceptedSessionEvent < InterceptorEvent; end
end